Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 448e2261fb9720f0d5401d06f5a15fb8098c5e03)
+++ chapter01/changelog.xml	(revision c7b8b889e64777645cca4d1ae9f9ddeebc391cf6)
@@ -36,4 +36,31 @@
     </listitem>
 -->
+    <listitem>
+      <para>2014-06-14</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to man-pages-3.69. Fixes
+           <ulink url="&lfs-ticket-root;3613">#3613</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to kmod-18. Fixes
+           <ulink url="&lfs-ticket-root;3612">#3612</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to tzdata-2014e. Fixes
+           <ulink url="&lfs-ticket-root;3611">#3611</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to file-5.19. Fixes
+           <ulink url="&lfs-ticket-root;3610">#3610</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to change group name length to 32 characters
+          in shadow. Fixes
+           <ulink url="&lfs-ticket-root;3611">#3611</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>2014-06-11</para>
Index: chapter06/shadow.xml
===================================================================
--- chapter06/shadow.xml	(revision 448e2261fb9720f0d5401d06f5a15fb8098c5e03)
+++ chapter06/shadow.xml	(revision c7b8b889e64777645cca4d1ae9f9ddeebc391cf6)
@@ -80,5 +80,18 @@
     <para>Prepare Shadow for compilation:</para>
 
-<screen><userinput remap="configure">./configure --sysconfdir=/etc</userinput></screen>
+<screen><userinput remap="configure">./configure --sysconfdir=/etc --with-group-name-max-length=32</userinput></screen>
+
+    <variablelist>
+      <title>The meaning of the configure option:</title>
+
+      <varlistentry>
+        <term><parameter>--with-group-name-max-length=32</parameter></term>
+        <listitem>
+          <para>The maximum user name is 32 characters.  Make the maximum
+          group name the same.</para>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
 
     <para>Compile the package:</para>
Index: general.ent
===================================================================
--- general.ent	(revision 448e2261fb9720f0d5401d06f5a15fb8098c5e03)
+++ general.ent	(revision c7b8b889e64777645cca4d1ae9f9ddeebc391cf6)
@@ -1,5 +1,5 @@
-<!ENTITY version         "SVN-20140611">
+<!ENTITY version         "SVN-20140615">
 <!ENTITY short-version   "svn">  <!-- Used in dbus chapter, change to x.y for release -->
-<!ENTITY releasedate     "June 11, 2014">
+<!ENTITY releasedate     "June 15, 2014">
 <!ENTITY copyrightdate   "1999-2014"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "7.6">
Index: packages.ent
===================================================================
--- packages.ent	(revision 448e2261fb9720f0d5401d06f5a15fb8098c5e03)
+++ packages.ent	(revision c7b8b889e64777645cca4d1ae9f9ddeebc391cf6)
@@ -176,8 +176,8 @@
 <!ENTITY expect-ch5-sbu "0.1 SBU">
 
-<!ENTITY file-version "5.18">
-<!ENTITY file-size "699 KB">
+<!ENTITY file-version "5.19">
+<!ENTITY file-size "703 KB">
 <!ENTITY file-url "ftp://ftp.astron.com/pub/file/file-&file-version;.tar.gz">
-<!ENTITY file-md5 "d420d8f2990cd344673acfbf8d76ff5a">
+<!ENTITY file-md5 "e3526f59023f3f7d1ffa4d541335edab">
 <!ENTITY file-home "http://www.darwinsys.com/file/">
 <!ENTITY file-ch5-du "12.4 MB">
@@ -355,8 +355,8 @@
 <!ENTITY kbd-ch6-sbu "0.1 SBU">
 
-<!ENTITY kmod-version "17">
-<!ENTITY kmod-size "1,450 KB">
+<!ENTITY kmod-version "18">
+<!ENTITY kmod-size "1,440 KB">
 <!ENTITY kmod-url "&kernel;linux/utils/kernel/kmod/kmod-&kmod-version;.tar.xz">
-<!ENTITY kmod-md5 "bc36d28b12dcb2b664a35411560c5610">
+<!ENTITY kmod-md5 "82835c7f01983634e06ca72b4ee30cc6">
 <!ENTITY kmod-home " ">
 <!ENTITY kmod-ch6-du "36 MB">
@@ -454,8 +454,8 @@
 <!ENTITY man-db-ch6-sbu "0.5 SBU">
 
-<!ENTITY man-pages-version "3.68">
-<!ENTITY man-pages-size "1,225 KB">
+<!ENTITY man-pages-version "3.69">
+<!ENTITY man-pages-size "1,232 KB">
 <!ENTITY man-pages-url "&kernel;linux/docs/man-pages/man-pages-&man-pages-version;.tar.xz">
-<!ENTITY man-pages-md5 "43965ed65b34aeff75767b162f97eb01">
+<!ENTITY man-pages-md5 "0b1feceef945e5d53c3ea63307163e8c">
 <!ENTITY man-pages-home "http://www.kernel.org/doc/man-pages/">
 <!ENTITY man-pages-ch6-du "23 MB">
@@ -615,8 +615,8 @@
 <!ENTITY systemd-ch6-sbu "4.5 SBU">
 
-<!ENTITY tzdata-version "2014d">
+<!ENTITY tzdata-version "2014e">
 <!ENTITY tzdata-size "217 KB">
 <!ENTITY tzdata-url "http://www.iana.org/time-zones/repository/releases/tzdata&tzdata-version;.tar.gz">
-<!ENTITY tzdata-md5 "299b86c0368ecfb321f15d5c408a1d9b">
+<!ENTITY tzdata-md5 "8a49fdedd4e832da8e85f7f9bcaedc33">
 <!ENTITY tzdata-home "http://www.iana.org/time-zones">
 <!ENTITY tzdata-ch6-du "6.4 MB">
